org.apache.ivy.osgi.filter

## Class OSGiFilter

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilter

Direct Known Subclasses:
  CompareFilter, MultiOperatorFilter, UniOperatorFilter

    public abstract class OSGiFilter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OSGiFilter()`

### Method Summary

Methods
`abstract void` `append(java.lang.StringBuffer builder)`
`abstract boolean` `eval(java.util.Map<java.lang.String,java.lang.String> properties)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OSGiFilter

    public OSGiFilter()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### append

    public abstract void append(java.lang.StringBuffer builder)

#### eval

    public abstract boolean eval(java.util.Map<java.lang.String,java.lang.String> properties)